TUCAN(1)

NAME
tucan - download and upload manager for hosting sites

SYNOPSIS
tucan [OPTIONS]

DESCRIPTION
Tucan is a free and open source application designed for automatic management of downloads and uploads at hosting sites like:

    rapidshare.com, megaupload.com, gigasize.com, mediafire.com, 4shared.com, sendspace.com, zshare.net, filefactory.com, easy-share.com, badongo.com, depositfiles.com, hotfile.com, uploading.com, storage.to, fileserve.com, ...

OPTIONS
Tucan can be used through a Graphical User Interface (GUI) or through a Command Line Interface (CLI). Running Tucan without options starts its GUI but with options starts its CLI.

The following options are to use Tucan through its CLI.

Generic Program Information
    -h, --help
        Print a usage message briefly summarizing these command-line options and then exit.

    -V, --version
        Print the version number of Tucan to the standard output. This version number should be included in all bug reports.

Configuration Options
    -w TYPE, --wizard=TYPE
        Configure some Tucan options. Available TYPEs:
            - accounts option to configure premium accounts.
            - services option to enable/disable services.
            - updates option to launch the Update Manager.

    -C, --clear
        Remove all configuration of Tucan (remove $HOME/.tucan/).

Common Options
    -c, --cli
        option to launch the CLI with interactivity.

    -d, --daemon
        option to launch the CLI without interactivity.

    -v, --verbose
        option to display all log messages in the CLI with interactivity (by default only shows the log messages >= INFO).

Download Options
    -i FILE, --input-links=FILE
        import links from FILE.

        The FILE format is pretty simple:
            - Plain text.
            - A link per line.
            - Lines beginning with # are ignored (are treated as comments).

FILES
$HOME/.tucan/tucan.conf
    Tucan settings.

$HOME/.tucan/tucan.log
    Tucan log.

EXAMPLES
Update services:
tucan --wizard updates
    or
tucan -w updates

Enable (or Disable) services:
tucan --wizard services
    or
tucan -w services

    and follow the instructions on screen.

Configure (or Reconfigure) premium accounts:
tucan --wizard accounts
    or
tucan -w accounts

    and follow the instructions on screen.

Simple download with interactivity (see above for FILE format):
tucan --cli --input-links FILE.txt
    or
tucan -c -i FILE.txt

Simple download without interactivity (see above for FILE format):
tucan --daemon --input-links FILE.txt
    or
tucan -d -i FILE.txt

SEE ALSO
<http://tucaneando.com/>
<http://doc.tucaneando.com/>
<http://blog.tucaneando.com/>
<http://forums.tucaneando.com/>
<https://forja.rediris.es/projects/cusl3-tucan/>

COPYRIGHT
(C) 2008-2010 The Tucan Project.